#!/usr/bin/perl -w
## ######### PROJECT NAME : ##########
## 
## export_file.pm for export_file in /var/www/perl/benchmark/script
## 
## ######### PROJECT DESCRIPTION : ###
## 
## librairie de gestion de fichier d'export pour le bench
## 
## ###################################
## 
## Made by husianycia cedric
## Login   <root@intellique.com>
## 
## Started on  Thu May 18 10:12:01 2006 husianycia cedric
## Last update Thu May 18 10:47:14 2006 husianycia cedric
## 
## ###################################
##

## ###################################
## Declaration de librairies

use	strict;
use	Storable;

## ###################################
## Declaration de package

package	export_file;

## ###################################
## Declaration de variables
## 

my %hash_recv;
my %hash_info;
my %hash_bench;

## ###################################
## read export File

sub	open_read {
    $hash_recv{'export'} = shift if (!($hash_recv{'export'}));
    my $hashref = Storable::retrieve($hash_recv{'export'});

    my %TOTAL;
    
    %TOTAL = %{$hashref};

    %hash_info	= %{$TOTAL{'info'}};
    %hash_bench	= %{$TOTAL{'bench'}};
    %hash_recv	= %{$TOTAL{'recv'}};

    return (\%hash_info, \%hash_bench, \%hash_recv);
}

## ###################################
## Write export File

sub	open_write {
    my $ref_recv	= shift;
    my $ref_info	= shift;
    my $ref_bench	= shift;

    
    my %hash_recv	= %{$ref_recv};
    my %hash_info	= %{$ref_info};
    my %hash_bench	= %{$ref_bench};

    return if (!$hash_recv{'export'});

    my %TOTAL;
    $TOTAL{'recv'}	= \%hash_recv;
    $TOTAL{'info'}	= \%hash_info;
    $TOTAL{'bench'}	= \%hash_bench;
    
    Storable::store (\%TOTAL, $hash_recv{'export'});
}


## ###################################
## Fin du package

1;
